FsImageProto.INodeSection.FileUnderConstructionFeatureOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: INodeSection, interface: FileUnderConstructionFeatureOrBuilder

Package org.apache.hadoop.hdfs.server.namenode

# Interface FsImageProto.INodeSection.FileUnderConstructionFeatureOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `FsImageProto.INodeSection.FileUnderConstructionFeature`, `FsImageProto.INodeSection.FileUnderConstructionFeature.Builder`

Enclosing class:
  FsImageProto.INodeSection

public static interface FsImageProto.INodeSection.FileUnderConstructionFeatureOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClientMachine()`
  `optional string clientMachine = 2;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getClientMachineBytes()`
  `optional string clientMachine = 2;`
  `String`
  `getClientName()`
  `optional string clientName = 1;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getClientNameBytes()`
  `optional string clientName = 1;`
  `boolean`
  `hasClientMachine()`
  `optional string clientMachine = 2;`
  `boolean`
  `hasClientName()`
  `optional string clientName = 1;`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasClientName

    boolean hasClientName()
    `optional string clientName = 1;`
    Returns:
      Whether the clientName field is set.

  - ### getClientName

    String getClientName()
    `optional string clientName = 1;`
    Returns:
      The clientName.

  - ### getClientNameBytes

    org.apache.hadoop.thirdparty.protobuf.ByteString getClientNameBytes()
    `optional string clientName = 1;`
    Returns:
      The bytes for clientName.

  - ### hasClientMachine

    boolean hasClientMachine()
    `optional string clientMachine = 2;`
    Returns:
      Whether the clientMachine field is set.

  - ### getClientMachine

    String getClientMachine()
    `optional string clientMachine = 2;`
    Returns:
      The clientMachine.

  - ### getClientMachineBytes

    org.apache.hadoop.thirdparty.protobuf.ByteString getClientMachineBytes()
    `optional string clientMachine = 2;`
    Returns:
      The bytes for clientMachine.